" Vim syntax file
" Language: SFST (Stuttgart Finite State Transducer)
" Maintainer: Matthias Kistler <Matthias.Kistler@gmx.de>
" Last Change: 2007-07-10
" Version: 0.9

" Remove any old syntax stuff that was loaded (5.x) or quit when a syntax file
" was already loaded (6.x).
if version < 600
  syntax clear
elseif exists("b:current_syntax")
  finish
endif

" Keywords
syn keyword sfstAlphabet ALPHABET
syn match sfstInclude  "#include"
syn match sfstIncludeFile "\".*\""

" Identifiers
syn match sfstTransducerVar "\$[^\$][^\$]*\$"
syn match sfstIntervalVar   "#[^#][^#]*#"

" Symbols
syn match sfstSymbol "<[^<>][^<>]*>"
syn match sfstEmptyWord "<>"

" Comment
syn match sfstComment "%.*"

" Operators
syn match sfstOperator "[\:\.\*\+\?\!|\\]"

" Brackets
syn match sfstBrackets "[\(\)\[\]\{\}]"

highlight link sfstAlphabet       Structure
highlight link sfstInclude        Include
highlight link sfstIncludeFile    String
highlight link sfstTransducerVar  Identifier
highlight link sfstIntervalVar    Identifier
highlight link sfstSymbol         Special
highlight link sfstComment        Comment
highlight link sfstEmptyWord      Special
highlight link sfstOperator       Operator
highlight link sfstBrackets       String

let b:current_syntax = "sfst"
